@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    list-style: none;
    scroll-behavior: smooth;
    text-decoration: none;
}

:root {
    --text-color: #4CBB17;
    --hover-color: #4169E1;
    --bg-color: #000000;
    --secon-bg-color: #4d5d53;
    --big-font: 2.5rem;
    --normal-font: 2rem;
    --neon-box-shadow: 0 0 .5rem #4169E1;
    --h2-font: 3rem;
    --font-neon-text-shadow: 0 0 10px rgba(18, 247, 255, .3),
        0 0 20px rgba(18, 247, 255, .3),
        0 0 30px rgba(18, 247, 255, .3),
        0 0 40px rgba(18, 247, 255, .3),
        0 0 70px rgba(18, 247, 255, .3),
        0 0 80px rgba(18, 247, 255, .3),
        0 0 100px rgba(18, 247, 255, .3),
        0 0 150px rgba(18, 247, 255, .3);
}


::-webkit-scrollbar {
    height: 0;
    width: .4rem;
}

::-webkit-scrollbar-track {
    background: var(--secon-bg-color);

}

::-webkit-scrollbar-thumb {
    background: var(--hover-color);
    border-radius: 5rem;
    cursor: pointer;
}





body {
    background: var(--bg-color);
    color: var(--text-color);
    scroll-behavior: smooth;
}

/* Header section  --------------------------------------------------------------*/

header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    border-bottom: 1px solid transparent;
    backdrop-filter: blur(20px);
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 20px 10%;

}

header.sticky {
    /* background: var(--bg-color); */
    /* border-bottom: 1px solid var(--secon-bg-color); */
    padding: 12px 10%;
}

.logo {
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 1px;
}

span {
    color: var(--hover-color);
}

.navlist {
    display: flex;
}

.navlist a {
    color: var(--text-color);
    font-weight: 500;
    padding: 10px 20px;

}

.navlist a:hover {
    color: var(--hover-color);
    text-shadow: 0 0 10px rgba(18, 247, 255, .6),
        0 0 20px rgba(18, 247, 255, .6),
        0 0 30px rgba(18, 247, 255, .6),
        0 0 40px rgba(18, 247, 255, .6),
        0 0 70px rgba(18, 247, 255, .6),
        0 0 80px rgba(18, 247, 255, .6),
        0 0 100px rgba(18, 247, 255, .6),
        0 0 150px rgba(18, 247, 255, .6);
}

.navlist a.active {
    color: var(--hover-color);
}

#menu-icon {
    font-size: 1.8rem;
    z-index: 10001;
    cursor: pointer;
    margin-left: 25px;
    background: var(--hover-color);
    border-radius: 3px;
    color: var(--secon-bg-color);
    display: none;
}


/* Hero - Section ------------------------------------------------------------- */


section {
    padding: 20px 10%;
}

.home {
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    grid-gap: 2rem;
    margin-top: 4rem;
}

.home-content {
    max-width: 600px;
}

.home-content h1 {
    font-size: var(--big-font);
    font-weight: 700;
}

.home-content p {
    color: #bdbdbd;
    line-height: 1.6;
}

.change-text {
    font-size: 1.5rem;
    font-weight: 600;
}

.change-text h3 {
    display: inline-flex;
    margin: 0;
    vertical-align: top;
}

.change-text h3 .word {
    position: absolute;
    display: flex;
    opacity: 1;
}

.change-text h3 .word .letter {
    transform-origin: center center 25px;
}

.change-text h3 .word .letter.out {
    transform: rotateX(90deg);
    transition: 0.32s cubic-bezier(0.6, 0, 0.7, 0.2);
}

.change-text h3 .word .letter.in {
    transition: 0.38s ease;
}

.change-text h3 .word .letter.behind {
    transform: rotateX(-90deg);
}

.info-box {
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    width: 400px;
    margin: 1rem 0 2rem;
}

.info-box h5 {
    font-weight: 600;
    color: var(--text-color);
    font-size: 1rem;
}

.info-box span {
    font-size: .9rem;
    color: #bdbdbd;
    margin-right: 1rem;
}

.btn-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 320px;
    height: 45px;
}

.btn-box .btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 100%;
    background: var(--hover-color);
    color: var(--bg-color);
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 600;
    transition: .5s;
    box-shadow: var(--neon-box-shadow);
    border-radius: 8px;
    position: relative;
    overflow: hidden;
    z-index: 1;
    border: 2px solid var(--hover-color);
}

.btn:hover {
    color: var(--hover-color);
}

.btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background: var(--bg-color);
    width: 0;
    height: 100%;
    transition: .5s;
    z-index: -1;
}

.btn:hover::before {
    width: 100%;
}

.social-icons {
    margin-top: 8rem;
    display: flex;
    justify-content: space-between;
    width: 220px;
    height: 40px;
}

.social-icons a {
    display: inline-flex;
    width: 40px;
    height: 100%;
    justify-content: center;
    align-items: center;
    background: var(--bg-color);
    color: var(--hover-color);
    border: 2px solid var(--hover-color);
    border-radius: 50%;
    box-shadow: 0 0 0.3rem #4169E1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.social-icons a i {
    font-size: 1.2rem;
}

.social-icons a:hover {
    color: var(--bg-color);
}

.social-icons a::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 0;
    height: 100%;
    background: var(--hover-color);
    transition: .5s;
    z-index: -1;
}

.social-icons a:hover::before {
    width: 100%;
}

.home-image {
    position: relative;
}

.img-box {
    text-align: center;
    max-width: 320px;
    height: auto;
}


@media only screen and (max-width: 560px) {
img {
width: 100%;
}
}

/* About - Section --------------------------------------------------  */


.about {
    display: flex;
    justify-content: center;
    align-items: center;
    grid-gap: 2em;
    background: var(--secon-bg-color);
    min-height: 100vh;
}

.about .img-about {
    text-align: center;
    position: relative;
}

.about .img-about img {
    max-width: 400px;
    height: auto;
}

.about-content {
    margin-top: 60px;
}

.about-content span {
    color: #fdfdfd;
    font-size: .8rem;
    font-weight: 300;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.about-content h1 {
    color: var(--hover-color);
    font-size: 3rem;
    font-weight: 700;
}

.about-content p {
    font-weight: 200;
    font-size: 1rem;
    color: #fdfdfd;
    margin-bottom: 2rem;
    /* padding-right: 12%; */
}



.about-content .info-about1,
.info-about2 {
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    width: 240px;
    height: 90px;
    margin-top: 40px;
}

.about-content .info-about1 p,
.info-about2 p {
    font-size: .9rem;
    color: #fdfdfd;
    font-weight: 300;
}

.about-content .info-about1 span,
.info-about2 span {
    font-size: 2rem;
    font-weight: 500;
    display: block;
    justify-content: space-between;
    align-items: center;
    color: var(--hover-color);
    padding-left: 24%;
}


/* Services Section --------------------------------------------------- */

.services {
    width: 100%;
    min-height: 100vh;
}

.main-text {
    width: 100%;
    text-align: center;
    margin-bottom: 2rem;
    margin-top: 4rem;
    color: var(--hover-color);
}

.main-text h2 {
    font-size: var(--big-font);
    font-weight: 700;
}

.main-text span {
    color: #fdfdfd;
    font-size: .8rem;
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.section-services {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    grid-gap: 4rem;
    margin-top: 4rem;

}

.section-services .service-box {
    flex: 1 1 18rem;
    padding: 2rem 1rem 2rem;
    text-align: center;
    background: var(--secon-bg-color);
    border-radius: 10px;
    transition: transform .4s;
}

.service-btn {
    width: auto;
    justify-content: center;
}

.service-box:hover {
    transform: translateY(-.8rem);
}


.service-icon {
    border: 2px solid var(--hover-color);
    padding: 1.5rem;
    background: var(--bg-color);
    display: flex;
    align-items: center;
    font-size: 2.4rem;
    border-radius: 50%;
    position: relative;
    color: var(--hover-color);
    box-shadow: var(--neon-box-shadow);
    outline: 1px solid var(--hover-color);
}


.service-box h3 {
    margin-top: 10px;
    font-size: 1.4rem;
}

.service-box p {
    margin: .5rem 0 1.5rem 0;
    font-weight: 300;
    letter-spacing: 1px;
    color: #bdbdbd;
    line-height: 1.6;
    font-size: .9rem;
}


/* Skills Section --------------------------------------------------- */

.skills {
    background: var(--secon-bg-color);
    min-height: 100vh;
}

/* skill-left ------- */


.skill-main {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 30px;
    grid-column-gap: 50px;
    margin-top: 4rem;
}


.skill-bar {
    margin-bottom: 2.3rem;

}

.skill-main h3 {
    margin-bottom: 2rem;
    font-size: var(--normal-font);
    text-align: center;
}

.skill-left .skill-bar .info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
}

.skill-left .skill-bar .bar {
    width: 100%;
    height: 10px;
    background-color: var(--bg-color);
    border-radius: 25px;
    margin-top: 10px;
    position: relative;
}

.skill-bar .bar span {
    width: 50%;
    height: 100%;
    position: absolute;
    left: 0;
    background: var(--hover-color);
    border-radius: 25px;
    box-shadow: var(--neon-box-shadow);
}

.skill-bar .bar .html {
    width: 100%;
    animation: html 1s;
}

.skill-bar .bar .css {
    width: 100%;
    animation: css 1s;
}

.skill-bar .bar .javascript {
    width: 100%;
    animation: javascript 1s;
}

.skill-bar .bar .rubyonrails {
    width: 100%;
    animation: rubyonrails 1s;
}

.skill-bar .bar .react {
    width: 100%;
    animation: react 1s;
}

.skill-bar .bar .node {
    width: 100%;
    animation: node 1s;
}

/* skill-right ------------- */


.professional {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.box {
    position: relative;
    margin: 10px 0;
    flex: 1 1 15rem;

}

.box .text {
    text-align: center;
    color: #fff;
}

.box .text big {
    font: 400;
    letter-spacing: 1px;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.box .text small {
    display: block;
    font-weight: 600;
}

.circle {
    width: 100%;
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 2px solid #fff; */
}

.circle .points {
    width: 2px;
    height: 10px;
    background-color: var(--bg-color);
    /* color: var(--hover-color); */
    position: absolute;
    border-radius: 3px;
    transform: rotate(calc(var(--i) * var(--rot))) translateY(-45px);

}

.points.marked {
    animation: glow 0.05s linear forwards;
    animation-delay: calc(var(--i) * 0.05s);
}



/* Portfolio Section --------------------------------------------------------------- */

.filter-buttons {
    margin: 2rem;
    text-align: center;
}

.filter-buttons .btn {
    background: none;
    outline: none;
    border: none;
    cursor: pointer;
    font-size: .85rem;
    font-weight: 600;
    letter-spacing: .4px;
    margin-left: 1.3rem;
    color: var(--text-color);
}

.filter-buttons .btn:hover {
    color: var(--hover-color);
}

.portfolio-gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(270px, 1fr));
    gap: 4rem;
    margin-bottom: 4rem;
}

.port-box {
    position: relative;
    border-radius: 15px;
    overflow: hidden;
    background: #292e33;
    display: flex;
    grid-template-columns: 1fr, auto;
    align-items: center;
    border: 2px solid var(--hover-color);
    box-shadow: var(--neon-box-shadow);

}

.port-image {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.port-image img {
    width: 100%;
    height: 100%;
    opacity: .8;
    transition: .6s;
}

.port-content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.2), #4169E1);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    transition: .5s;
    padding: 0 2rem;
}

.port-box:hover .port-content {
    opacity: 1;
}

.port-box:hover .port-image img {
    transform: scale(1.1);
}

.port-content h3 {
    font-size: 1.5rem;
    font-weight: 600;
}

.port-content p {
    font-size: .8rem;
    margin: 5px 0 15px 0;
}

.port-content a {
    background: #fff;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #fff;
    box-shadow: var(--neon-box-shadow);
}

.port-content a i {
    font-size: 1.2rem;
    color: var(--secon-bg-color);
}



/* Contact Section --------------------------------------------------------------- */

.contact {
    background: var(--secon-bg-color);
    width: 100%;
}

.contact form {
    text-align: center;
    max-width: 50rem;
    margin: 1rem auto;
    margin-bottom: 3rem;

}

.contact form input,
.contact form textarea {
    width: 100%;
    color: var(--text-color);
    background: var(--bg-color);
    margin-bottom: .8rem;
    border: none;
    border-radius: 5px;
    padding: .8rem;
}

.formBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.formBtn .btn {
    font-size: .95rem;
    cursor: pointer;
}


/* footer css ----------------------------------------------------------- */



footer {

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.2rem 10%;
}

footer p {
    color: #bdbdbd;
    font-size: .85rem;

}

footer a {
    display: inline-flex;
    justify-content: center;
    padding: .8rem;
    border-radius: 8px;
    background: var(--hover-color);
    color: var(--text-color);
}

footer a i {
    font-size: 1.4rem;
    color: var(--secon-bg-color);
}


/* Parallax --------------------------------------------------------------- */


.scroll-scale {
    opacity: 0;
    transform: scale(.9);
    transition: all 2s;
}

.scroll-bottom {
    opacity: 0;
    transform: translateY(100px);
    transition: 2s;

}

.scroll-top {
    opacity: 0;
    transform: translateY(-300px);
    transition: 2s;

}

.show-items {
    opacity: 1;
    transform: translateX(0);
}

















/* Keyframes --------------------------------------------------------------- */



@keyframes html {
    0% {
        width: 0%;
    }

    100% {
        width: 85%;
    }
}

@keyframes css {
    0% {
        width: 0%;
    }

    100% {
        width: 75%;
    }
}

@keyframes javascript {
    0% {
        width: 0%;
    }

    100% {
        width: 60%;
    }
}

@keyframes figma {
    0% {
        width: 0%;
    }

    100% {
        width: 90%;
    }
}

@keyframes glow {
    0% {
        background: var(--bg-color);
        box-shadow: none;
    }

    100% {
        background: var(--hover-color);
        box-shadow: var(--neon-box-shadow);
    }
}







/* Meadia QUERRY ------------------------------- */



@media(max-width:990px) {

    header,
    header.sticky {
        padding: 15px 5%;
        background: transparent;
        backdrop-filter: blur(20px);
    }

    footer {
        padding: 15px 5%;
    }

    section {
        padding: 50px 5%;
    }

    .navlist a {
        padding: 8px 15px;
    }

    :root {

        --big-font: 2.2rem;
        --normal-font: 1.8rem;
        --neon-box-shadow: 0 0 .8rem #4169E1;
        --h2-font: 3rem;
    }

    .home-content {
        margin-top: 5rem;
    }

    .social-icons {
        margin-top: 2rem;
    }
}


@media(max-width:768px) {
    #menu-icon {
        display: block;
        transition: all .5s ease;
        /* margin-right: 5%; */
    }

    #menu-icon.bx-x {
        transform: rotate(-180deg);
    }


    .navlist {
        display: flex;
        position: absolute;
        top: -1000px;
        right: 0;
        left: 0;
        flex-direction: column;
        background: var(--bg-color);
        text-align: left;
        padding: 8px 5%;
        transition: all .54s ease;
    }

    .navlist a {
        display: block;
        padding-bottom: 1rem;
        font-size: 1rem;
    }

    .navlist.open {
        top: 100%;
    }

    .home {
        grid-template-columns: 1fr;
    }

    .home-image {
        margin-bottom: 5rem;


    }



    .about {
        flex-direction: column-reverse;

    }

    .skill-main {
        grid-template-columns: 1fr;
    }

    .filter-buttons {
        margin: 2.5rem 0;
    }

    footer p {
        font-size: .8rem;
    }
}




@media(max-width:450px) {
    html {
        font-size: 80%;
    }

    footer p {
        font-size: .6rem;
    }

    .filter-buttons .btn {
        font-size: .8rem;
    }

    .img-about {

        width: 300px;

    }

    .img-about p {
        font-size: 1rem;
    }
}
